'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['dashboard-core/js/features/content/widgetProperties/WidgetPropertiesProvider'], function (WidgetPropertiesProvider) {
	var TabWidgetPropertiesProvider = function (_WidgetPropertiesProv) {
		_inherits(TabWidgetPropertiesProvider, _WidgetPropertiesProv);

		function TabWidgetPropertiesProvider(options) {
			_classCallCheck(this, TabWidgetPropertiesProvider);

			// Set the type to the TabWidget if we are not a top level tab container.
			var _this = _possibleConstructorReturn(this, _WidgetPropertiesProv.call(this, options));

			if (options.content.getContainer()) {
				_this.type = 'com.ibm.bi.dashboard.tabWidget.TabWidget';
			}

			return _this;
		}

		TabWidgetPropertiesProvider.prototype.getWidgetModel = function getWidgetModel() {
			// Change to the layout model since we don't have a widget model in the tabs
			return this.content.getFeature('Models.internal').getLayoutModel();
		};

		TabWidgetPropertiesProvider.prototype.getContributionSpec = function getContributionSpec() {

			// The WidgetPropertiesProvider.getContributionSpec () will throw a null exception for the top level tab layout.
			// Simply return an empty spec if it is not a tab widget
			return this.type === 'com.ibm.bi.dashboard.tabWidget.TabWidget' ? _WidgetPropertiesProv.prototype.getContributionSpec.call(this) : {};
		};

		return TabWidgetPropertiesProvider;
	}(WidgetPropertiesProvider);

	return TabWidgetPropertiesProvider;
});